Bug 652978 - [abrt] xfce4-weather-plugin-0.7.3-1.fc12: g_type_check_instance_cast: Process /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin was killed by signal 11 (SIGSEGV)
Summary: [abrt] xfce4-weather-plugin-0.7.3-1.fc12: g_type_check_instance_cast: Process...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ed09b05adcd28adaa6448d9c603...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 22:50 UTC by Davor
Modified: 2010-11-27 21:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-27 21:40:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.89 KB, text/plain)
2010-11-13 22:50 UTC, Davor
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 6887 None None None Never

Description Davor 2010-11-13 22:50:38 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin socket_id 23089280 name weather id 12896877430 display_name 'Weather Update' size 28 screen_position 11
component: xfce4-weather-plugin
crash_function: g_type_check_instance_cast
executable: /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin
kernel: 2.6.35.6-48.fc14.i686
package: xfce4-weather-plugin-0.7.3-1.fc12
rating: 4
reason: Process /usr/libexec/xfce4/panel-plugins/xfce4-weather-plugin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1289687801
uid: 500

How to reproduce
-----
1. add weather to panel
2. crash
3.

Comment 1 Davor 2010-11-13 22:50:41 UTC
Created attachment 460274 [details]
File: backtrace

Comment 2 Christoph Wickert 2010-11-17 21:45:09 UTC
Thanks fore reporting this bug.

Do you mean you did not configure the plugin but it crashed right away? Does it crash all the time or was this a singular incident?

Comment 3 Davor 2010-11-17 22:56:13 UTC
I try now install again. 
Steps:
1. Right click on panel - add - weather (it passed ok)
2. Try change location to Sibenik, Croatia (my town). In search bar is show my town.
3. Try set ( OK & Close)
4. Red icon for bug report. I did not report again)

Second try now: All work fine. Steps is same like before, but i no have error.


Sorry if it is false bug, but Bugzilla is opened, and i just reported.

I said again, now is all good.

Comment 4 Christoph Wickert 2010-11-27 21:40:19 UTC
No problem, there are bugs that only appear rarely and they are very hard to troubleshoot. Thanks a lot for helping out.

I have forwarded your bug report to the Xfce developers at
http://bugzilla.xfce.org/show_bug.cgi?id=6887

From now on further investigation will take place in the Xfce bug tracker, therefor I'm now closing this bug. Feel free to subscribe to the upstream bug report to be notified of any changes. 

I will get back to you if I need more info and get back to you once this issue has been resolved in Fedora. Thanks for reporting this bug.


Note You need to log in before you can comment on or make changes to this bug.